/**
 * Links Manager 
 * 
 * Re-Designed for: Zen Cart v1.5.x 
 * Author: Clyde Jones
 * Version: 3.6.1
 * Updated: 7/3/2014
 * Updated by: davewest
 * New configuration options are added to the zen_configuration table.
 * run this sql patch using the Zen-Cart Sql Patches tool
 * (admin -> tools -> install sql patches)
 * For best results, cut-and-paste the code into the query field and press 'Send'.
 *
 * Only use if you cannot get install_links_manager.php to work or don't need to upgrade.
 * This is only good for NEW or to REMOVE EXISTING INSTALLS
 *
**/


SET @t4:=0;
SELECT @t4:= configuration_group_id FROM configuration_group WHERE configuration_group_title = 'Links Manager' LIMIT 1; 
DELETE FROM configuration WHERE configuration_group_id = @t4 AND @t4 != 0;
DELETE FROM configuration_group WHERE configuration_group_id = @t4 AND @t4 != 0;

INSERT INTO `configuration_group` VALUES (NULL, 'Links Manager', 'Links Display Settings', '1', '1');
UPDATE `configuration_group` SET `sort_order` = last_insert_id() WHERE `configuration_group_id` = last_insert_id();
SELECT @t4:= `configuration_group_id` FROM `configuration_group` WHERE `configuration_group_title` = 'Links Manager';


INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(NULL, 'Links Box - Display View All Links', 'BOX_DISPLAY_VIEW_ALL_LINKS', 'true', 'Display View All Links on Links Sidebox', @t4, 1001, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'',''false''),'),
(NULL, 'Links Box - Display Submit Link', 'BOX_DISPLAY_SUBMIT_LINK', 'true', 'Display Submit Link on Sidebox', @t4, 1002, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'',''false''),'),
(NULL, 'Display Description As Link', 'DISPLAY_LINK_DESCRIPTION_AS_LINK', 'false', 'Display the links description as a link', @t4, 1003, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'',''false''),'),
(NULL, 'Submit Link - Require Reciprocal Page', 'SUBMIT_LINK_REQUIRE_RECIPROCAL', 'true', 'Require Reciprocal Page on Links Submit', @t4, 1004, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'',''false''),'),
(NULL, 'Display Link Banner Image', 'LINK_LIST_IMAGE', '1', 'Do you want to display the Link Banner Image?', @t4, 1005, '2014-07-04 21:47:45', now(), NULL, NULL),
(NULL, 'Display Link Description', 'LINK_LIST_DESCRIPTION', '2', 'Do you want to display the Link Description?', @t4, 1006, NULL, now(), NULL, NULL),
(NULL, 'Display Link Click Count', 'LINK_LIST_COUNT', '3', 'Do you want to display the Link Click Count?', @t4, 1007, NULL, now(), NULL, NULL),
(NULL, 'Link Title Minimum Length', 'ENTRY_LINKS_TITLE_MIN_LENGTH', '2', 'Minimum length of link title.', @t4, 1008, NULL, now(), NULL, NULL),
(NULL, 'Link Title Maximum Length', 'ENTRY_LINKS_TITLE_MAX_LENGTH', '50', 'Maximum length of link title.', @t4, 1009, NULL, now(), NULL, NULL),
(NULL, 'Link URL Minimum Length', 'ENTRY_LINKS_URL_MIN_LENGTH', '10', 'Minimum length of link URL.', @t4, 1010, NULL, now(), NULL, NULL),
(NULL, 'Link Description Minimum Length', 'ENTRY_LINKS_DESCRIPTION_MIN_LENGTH', '10', 'Minimum length of link description.', @t4, 1011, NULL, now(), NULL, NULL),
(NULL, 'Link Description Maximum Length', 'ENTRY_LINKS_DESCRIPTION_MAX_LENGTH', '250', 'Maximum length of link description.', @t4, 1012, NULL, now(), NULL, NULL),
(NULL, 'Link Contact Name Minimum Length', 'ENTRY_LINKS_CONTACT_NAME_MIN_LENGTH', '2', 'Minimum length of link contact name.', @t4, 1013, NULL, now(), NULL, NULL),
(NULL, 'Number Of Links to display on Links Page', 'MAX_DISPLAY_LINKS', '15', 'Set the number of Links to display on the Links page.', @t4, 1014, NULL, now(), NULL, NULL),
(NULL, 'Links Check Phrase', 'LINKS_CHECK_PHRASE', 'yoursitename', 'Phrase to look for when you perform a link check.', @t4, 1015, NULL, now(), NULL, NULL),
(NULL, 'Links List - Scroll Box Size/Style', 'MAX_LINKS_LIST', '3', 'Number of link category names to be displayed in the scroll box window. Setting this to 1 or 0 will display a dropdown list', @t4, 1016, NULL, now(), NULL, NULL),
(NULL, 'Length of Link Categories Name', 'MAX_DISPLAY_LINK_NAME_LEN', '17', 'Used in links box; maximum length of link category name to display. Longer names will be truncated.', @t4, 1017, NULL, now(), NULL, NULL),
(NULL, 'Select Links Sort Order', 'DEFINE_SORT_ORDER', '1', 'Define the sort order of the links<br />1= Sort by Title<br />2= Sort by Date (Newest to Oldest)<br />3= Sort by number of clicks (highest to lowest)', @t4, 1018, NULL, now(), NULL, 'zen_cfg_select_option(array(''1'',''2'',''3''),'),
(NULL, 'Number of Link Categories Per Row - Default is 3', 'MAX_LINK_CATEGORIES_ROW', '3', 'Used to display Link Categories per row.<br />Default is 3', @t4, 1019, NULL, now(), NULL, NULL),
(NULL, 'Link Category Image Directory', 'LINK_CATEGORY_IMAGE_DIRECTORY', 'link_category/', 'Set the Directory for the Category Image', @t4, 1020, NULL, now(), NULL, NULL),
(NULL, 'Image - Link Category Height', 'LINK_CATEGORY_IMAGE_HEIGHT', '80', 'The pixel width of Link Category images', @t4, 1021, NULL, now(), NULL, NULL),
(NULL, 'Image - Link Category Width', 'LINK_CATEGORY_IMAGE_WIDTH', '80', 'The pixel width of Link Category images', @t4, 1022, NULL, now(), NULL, NULL),
(NULL, 'Show Banner Image Field', 'SHOW_LINKS_BANNER_IMAGE', 'true', 'Show Banner Image Field', @t4, 1023, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'',''false''),'),
(NULL, 'Link Banner Image Directory', 'LINK_IMAGE_DIRECTORY', 'links_image/', 'Set the Directory for the Link Image', @t4, 1024, NULL, now(), NULL, NULL),
(NULL, 'Image - Link Banner Image Width', 'LINK_IMAGE_WIDTH', '150', 'The pixel width of Link images', @t4, 1025, NULL, now(), NULL, NULL),
(NULL, 'Image - Link Banner Image Height', 'LINK_IMAGE_HEIGHT', '30', 'The pixel height of Link images', @t4, 1026, NULL, now(), NULL, NULL),
(NULL, 'Default Link Banner Image', 'DEFAULT_LINK_IMAGE', 'links_default.jpg', 'Set the Default Link Image', @t4, 1027, NULL, now(), NULL, NULL),
(NULL, 'Only registered customers may submit a Link', 'REGISTERED_LINK', 'false', 'Only registered customers may submit a Link', @t4, 1028, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'',''false''),'),
(NULL, 'Links - Show Store Name and Address', 'LINKS_STORE_NAME_ADDRESS', 'true', 'Include Store Name and Address', @t4, 1029, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'',''false''),'),
(NULL, 'Define Links Status', 'DEFINE_LINKS_STATUS', '1', 'Enable the Defined Link/Text?<br />0= Link ON, Define Text OFF<br />1= Link ON, Define Text ON<br />2= Link OFF, Define Text ON<br />3= Link OFF, Define Text OFF', @t4, 1030, NULL, now(), NULL, 'zen_cfg_select_option(array(''0'',''1'',''2'',''3''),');

DELETE FROM admin_pages WHERE page_key = 'LinkDisplay';
DELETE FROM admin_pages WHERE page_key = 'Links';
DELETE FROM admin_pages WHERE page_key = 'LinksCategories';
DELETE FROM admin_pages WHERE page_key = 'LinksContacts';

INSERT INTO `admin_pages` (`page_key`, `language_key`, `main_page`, `page_params`, `menu_key`, `display_on_menu`, `sort_order`) VALUES
('LinkDisplay', 'BOX_CONFIGURATION_LINKMANAGER', 'FILENAME_CONFIGURATION', CONCAT('gID=',@t4), 'configuration', 'Y', 200),
('Links', 'BOX_LINKS', 'FILENAME_LINKS', '', 'extras', 'Y', 101),
('LinksCategories', 'BOX_LINK_CATEGORIES', 'FILENAME_LINK_CATEGORIES', '', 'extras', 'Y', 102),
('LinksContacts', 'BOX_LINKS_CONTACT', 'FILENAME_LINKS_CONTACT', '', 'extras', 'Y', 103);


DROP TABLE IF EXISTS `links`;
CREATE TABLE IF NOT EXISTS `links` (
  `links_id` int(11) NOT NULL AUTO_INCREMENT,
  `links_url` varchar(255) DEFAULT NULL,
  `links_reciprocal_url` varchar(255) DEFAULT NULL,
  `links_image_url` varchar(255) DEFAULT NULL,
  `links_contact_name` varchar(64) DEFAULT NULL,
  `links_contact_email` varchar(96) DEFAULT NULL,
  `links_date_added` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `links_last_modified` datetime DEFAULT NULL,
  `links_status` tinyint(1) NOT NULL DEFAULT '1',
  `links_clicked` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`links_id`),
  KEY `idx_links_date_added` (`links_date_added`)
) ;


INSERT INTO `links` (`links_id`, `links_url`, `links_reciprocal_url`, `links_image_url`, `links_contact_name`, `links_contact_email`, `links_date_added`, `links_last_modified`, `links_status`, `links_clicked`) VALUES
(1, 'http://clydedesigns.com', 'http://clydedesigns.com', 'links_image/testsite.jpg', 'Clyde Jones', 'clydejones@hotmail.com', '2014-06-30 02:13:57', NULL, 2, 0);


DROP TABLE IF EXISTS `links_description`;
CREATE TABLE IF NOT EXISTS `links_description` (
  `links_id` int(11) NOT NULL AUTO_INCREMENT,
  `language_id` int(11) NOT NULL DEFAULT '1',
  `links_title` varchar(64) NOT NULL DEFAULT '',
  `links_description` text,
  PRIMARY KEY (`links_id`,`language_id`),
  KEY `links_title` (`links_title`)
) ;


INSERT INTO `links_description` (`links_id`, `language_id`, `links_title`, `links_description`) VALUES
(1, 1, 'Clyde Designs', 'Templates &amp; Add-Ons for Zen Cart&trade;');

DROP TABLE IF EXISTS `links_status`;
CREATE TABLE IF NOT EXISTS `links_status` (
  `links_status_id` int(11) NOT NULL DEFAULT '0',
  `language_id` int(11) NOT NULL DEFAULT '1',
  `links_status_name` varchar(32) NOT NULL DEFAULT '',
  PRIMARY KEY (`links_status_id`,`language_id`),
  KEY `idx_links_status_name` (`links_status_name`)
) ;


INSERT INTO `links_status` (`links_status_id`, `language_id`, `links_status_name`) VALUES
(3, 1, 'Blocked'),
(2, 1, 'Approved'),
(1, 1, 'Pending');

DROP TABLE IF EXISTS `links_to_link_categories`;
CREATE TABLE IF NOT EXISTS `links_to_link_categories` (
  `links_id` int(11) NOT NULL AUTO_INCREMENT,
  `link_categories_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`links_id`,`link_categories_id`)
) ;


INSERT INTO `links_to_link_categories` (`links_id`, `link_categories_id`) VALUES
(1, 1);

DROP TABLE IF EXISTS `link_categories`;
CREATE TABLE IF NOT EXISTS `link_categories` (
  `link_categories_id` int(11) NOT NULL AUTO_INCREMENT,
  `link_categories_image` varchar(64) DEFAULT NULL,
  `link_categories_sort_order` int(3) DEFAULT NULL,
  `link_categories_date_added` datetime DEFAULT NULL,
  `link_categories_last_modified` datetime DEFAULT NULL,
  `link_categories_status` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`link_categories_id`),
  KEY `idx_link_categories_date_added` (`link_categories_date_added`)
) ;


INSERT INTO `link_categories` (`link_categories_id`, `link_categories_image`, `link_categories_sort_order`, `link_categories_date_added`, `link_categories_last_modified`, `link_categories_status`) VALUES
(1, 'link_category/zencart.png', 1, '2014-06-30 02:13:59', NULL, 1);

DROP TABLE IF EXISTS `link_categories_description`;
CREATE TABLE IF NOT EXISTS `link_categories_description` (
  `link_categories_id` int(11) NOT NULL DEFAULT '1',
  `language_id` int(11) NOT NULL DEFAULT '1',
  `link_categories_name` varchar(40) NOT NULL DEFAULT '',
  `link_categories_description` text,
  PRIMARY KEY (`link_categories_id`,`language_id`),
  KEY `idx_link_categories_name` (`link_categories_name`)
) ;


INSERT INTO `link_categories_description` (`link_categories_id`, `language_id`, `link_categories_name`, `link_categories_description`) VALUES
(1, 1, 'Zen-Cart Development', '');


