<?php
/*
 * @package admin
 * @copyright Copyright 2003-2012 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: Links Manager 3.5.3 4/16/2010 Clyde Jones $
 * @version $id: init_links_manager.php 3.6.1 6/14/2014 davewest $
 */

/*
 * configure Link Manager
*/
 	require('includes/application_top.php');
 	
// Check if session has timed out
if (!isset($_SESSION['admin_id'])) zen_redirect(zen_href_link(FILENAME_LOGIN));
$user = $_SESSION['admin_id'];

    // set version
        $version = '3.6.1';
    
    // Set table name
 	$table_name = 'links';
	$table_name2 = 'links_description';
	$table_name3 = 'links_status';
	$table_name4 = 'links_to_link_categories';
	$table_name5 = 'link_categories';
	$table_name6 = 'link_categories_description';
	
    // Get db prefix if any
 	$db_prefix = DB_PREFIX;



// determine whether an action has been requested
  $action = (isset($_GET['action']) ? $_GET['action'] : '');

// validate form input as not expired and not spoofed
if ($action != '' && isset($_POST['action']) && $_POST['action'] != '' && $_POST['securityToken'] != $_SESSION['securityToken']) {
  $messageStack->add_session(ERROR_TOKEN_EXPIRED_PLEASE_RESUBMIT, 'error');
  zen_redirect(zen_href_link(FILENAME_ADMIN_ACCOUNT));

}
if (zen_not_null($action)) {
    switch ($action) {
      case 'install':
        
    // Screen activity
 	echo 'Links Manager v' . $version . ' for ZenCart Installing...<br/>';
  
     // Configuration Values to create or preserve
    $menu_items_image = array(
            array('Links Box - Display View All Links','BOX_DISPLAY_VIEW_ALL_LINKS','true','Display View All Links on Links Sidebox',1001,array('true', 'false')),
            array('Links Box - Display Submit Link','BOX_DISPLAY_SUBMIT_LINK','true','Display Submit Link on Sidebox',1002,array('true', 'false')),
            array('Display Description As Link','DISPLAY_LINK_DESCRIPTION_AS_LINK','false','Display the links description as a link',1003,array('true', 'false')),
            array('Submit Link - Require Reciprocal Page', 'SUBMIT_LINK_REQUIRE_RECIPROCAL', 'true', 'Require Reciprocal Page on Links Submit',1004,array('true', 'false')),
            array('Display Link Banner Image','LINK_LIST_IMAGE',1,'Do you want to display the Link Banner Image?',1005,false),
            array('Display Link Description', 'LINK_LIST_DESCRIPTION', 2, 'Do you want to display the Link Description?',1006,false),
            array('Display Link Click Count', 'LINK_LIST_COUNT', 3, 'Do you want to display the Link Click Count?',1007,false),
            array('Link Title Minimum Length', 'ENTRY_LINKS_TITLE_MIN_LENGTH', 2, 'Minimum length of link title.',1008,false),
            array('Link Title Maximum Length', 'ENTRY_LINKS_TITLE_MAX_LENGTH', 50, 'Maximum length of link title.',1009,false),
            array('Link URL Minimum Length', 'ENTRY_LINKS_URL_MIN_LENGTH', 10, 'Minimum length of link URL.',1010,false),
            array('Link Description Minimum Length', 'ENTRY_LINKS_DESCRIPTION_MIN_LENGTH', 10, 'Minimum length of link description.',1011,false),
            array('Link Description Maximum Length', 'ENTRY_LINKS_DESCRIPTION_MAX_LENGTH', 250, 'Maximum length of link description.',1012,false),
            array('Link Contact Name Minimum Length', 'ENTRY_LINKS_CONTACT_NAME_MIN_LENGTH', 2, 'Minimum length of link contact name.',1013,false),
            array('Number Of Links to display on Links Page', 'MAX_DISPLAY_LINKS', 15, 'Set the number of Links to display on the Links page.',1014,false),
            array('Links Check Phrase', 'LINKS_CHECK_PHRASE', 'yoursitename', 'Phrase to look for when you perform a link check.',1015,false),
            array('Links List - Scroll Box Size/Style', 'MAX_LINKS_LIST', 3, 'Number of link category names to be displayed in the scroll box window. Setting this to 1 or 0 will display a dropdown list',1016,false),
            array('Length of Link Categories Name', 'MAX_DISPLAY_LINK_NAME_LEN', 17, 'Used in links box; maximum length of link category name to display. Longer names will be truncated.',1017,false),
            array('Select Links Sort Order', 'DEFINE_SORT_ORDER', 1, 'Define the sort order of the links<br />1= Sort by Title<br />2= Sort by Date (Newest to Oldest)<br />3= Sort by number of clicks (highest to lowest)',1018,array('1', '2', '3')),
            array('Number of Link Categories Per Row - Default is 3', 'MAX_LINK_CATEGORIES_ROW', 3, 'Used to display Link Categories per row.<br />Default is 3',1019,false),
            array('Link Category Image Directory', 'LINK_CATEGORY_IMAGE_DIRECTORY', 'link_category/', 'Set the Directory for the Category Image',1020,false),
            array('Image - Link Category Height', 'LINK_CATEGORY_IMAGE_HEIGHT', 80, 'The pixel width of Link Category images',1021,false),
            array('Image - Link Category Width', 'LINK_CATEGORY_IMAGE_WIDTH', 80, 'The pixel width of Link Category images',1022,false),
            array('Show Banner Image Field', 'SHOW_LINKS_BANNER_IMAGE', 'true', 'Show Banner Image Field',1023,array('true', 'false')),
            array('Link Banner Image Directory', 'LINK_IMAGE_DIRECTORY', 'links_image/', 'Set the Directory for the Link Image',1024,false),
            array('Image - Link Banner Image Width', 'LINK_IMAGE_WIDTH', 150, 'The pixel width of Link images',1025,false),
            array('Image - Link Banner Image Height', 'LINK_IMAGE_HEIGHT', 30, 'The pixel height of Link images',1026,false),
            array('Default Link Banner Image', 'DEFAULT_LINK_IMAGE', 'links_default.jpg', 'Set the Default Link Image',1027,false),
            array('Only registered customers may submit a Link', 'REGISTERED_LINK', 'false', 'Only registered customers may submit a Link',1028,array('true', 'false')),
            array('Links - Show Store Name and Address', 'LINKS_STORE_NAME_ADDRESS', 'true', 'Include Store Name and Address',1029,array('true', 'false')),
            array('Define Links Status', 'DEFINE_LINKS_STATUS', 1, 'Enable the Defined Link/Text?<br />0= Link ON, Define Text OFF<br />1= Link ON, Define Text ON<br />2= Link OFF, Define Text ON<br />3= Link OFF, Define Text OFF',1030,array('0', '1', '2', '3')),
            array('Use Click Count!', 'USE_CLICK_COUNT', 1, 'Create link URL with or without click counting  0= off 1= on',1031,array('1', '0'))
            );
            
         // Legacy Configuration Values to Delete Completely
        $menu_items_delete = array(
            array('LINK_LIST_COUNT')
            );
            
                   
// Create new Configuration Category
	$check_result = $db->Execute("SELECT 'configuration_group_id' FROM ".$db_prefix."configuration_group WHERE configuration_group_title = 'Links Manager' LIMIT 0, 300 ");
	echo (($check_result->RecordCount() > 1)? die('To Many Groups - Run remove and Clean your database then try again!') : 'Group Good<br />');
	if ($check_result->RecordCount() < 1) {
	
	  $insert_result1 = $db->Execute("INSERT INTO ".$db_prefix."configuration_group VALUES ('', 'Links Manager', 'Links Display Settings', '0', '1')");
	  $db->Execute("UPDATE ".$db_prefix."configuration_group SET `sort_order` = LAST_INSERT_ID() WHERE configuration_group_id = LAST_INSERT_ID()");
          $categoryid = $db->Execute("SELECT 'configuration_group_id' FROM `configuration_group` WHERE `configuration_group_title` = 'Links Manager'");
	if ($insert_result1 === false) exit ('Error in Createing New Configuration Group - Links Manager<br/> ');
	if ($insert_result1) echo 'Created New Configuration Group - Links Manager<br/>';			 
	} else {
		echo 'Configuration Group Links Manager already exists SKIPPED<br/>';
	}
	
// Get the id of the new configuration category
    $categoryid = array();
	$id_result = $db->Execute("SELECT configuration_group_id FROM ".$db_prefix."configuration_group WHERE configuration_group_title = 'Links Manager'");
	if (!$id_result->EOF) {
			$categoryid = $id_result->fields;
			echo 'Links Manager Configuration_Group ID = ' . $categoryid['configuration_group_id']. '<br>';
			$lm_config_id = $categoryid['configuration_group_id'];
    } else {
    	    exit ('Failed Finding Links Manager Configuration_Group ID<br/>Exit');
    }
    

 // delete legacy configuration options

    foreach($menu_items_delete as $del)
    {

       $sql ="DELETE FROM ".TABLE_CONFIGURATION." WHERE configuration_key = '".$del[0]."'";
       $db->Execute($sql);
        
    }
    
    foreach($menu_items_image as $menu_item)
    {
    lm_create_menu_item($menu_item[0],$menu_item[1],$menu_item[2],$menu_item[3],$lm_config_id,$menu_item[4],$menu_item[5]);
    }
    
    $over_item = array('Links Manager Version', 'LM_VERSION', '3.6.0', 'Links Manager version',1031,false);
    lm_overwrite_menu_item($over_item[0],$over_item[1],$over_item[2],$over_item[3],$lm_config_id,$over_item[4],$over_item[5]);

 // register LM admin pages for Zen 1.5.x

    if (function_exists('zen_register_admin_page')) {

	  $check_admin = $db->Execute("SELECT page_key FROM ".$db_prefix."admin_pages WHERE main_page = 'FILENAME_LINKS'");
        $admin_links = $check_admin->fields['page_key'];
        zen_deregister_admin_pages($admin_links);
        zen_register_admin_page('Links', 'BOX_LINKS', 'FILENAME_LINKS', '', 'extras', 'Y', 101);
    
	  $check_cat = $db->Execute("SELECT page_key FROM ".$db_prefix."admin_pages WHERE main_page = 'FILENAME_LINK_CATEGORIES'");
        $admin_cat = $check_cat->fields['page_key'];
        zen_deregister_admin_pages($admin_cat);
        zen_register_admin_page('LinksCategories', 'BOX_LINK_CATEGORIES', 'FILENAME_LINK_CATEGORIES', '', 'extras', 'Y', 102);
    
	  $check_con = $db->Execute("SELECT page_key FROM ".$db_prefix."admin_pages WHERE main_page = 'FILENAME_LINKS_CONTACT'");
        $admin_con = $check_con->fields['page_key'];
        zen_deregister_admin_pages($admin_con);
        zen_register_admin_page('LinksContacts', 'BOX_LINKS_CONTACT', 'FILENAME_LINKS_CONTACT', '', 'extras', 'Y', 103);
    
    zen_deregister_admin_pages('LinkDisplay');
    zen_register_admin_page('LinkDisplay', 'BOX_CONFIGURATION_LINKMANAGER', 'FILENAME_CONFIGURATION', 'gID='. $lm_config_id . '', 'configuration', 'Y', 200);
    
       echo 'Admin pages created for ZC 1.5.x<br />';

    }

/*************** Links Table ***********************/

 // Check to see if the requested Zen Cart table exists
    $sql = "SHOW TABLES like '".$db_prefix.$table_name."'";
    $tables = $db->Execute($sql);

 if ($tables->RecordCount() < 1) {
      		$insert_query = "CREATE TABLE `".$db_prefix.$table_name."` (
      		links_id int(11) NOT NULL auto_increment,
      		links_url varchar(255) default NULL,
      		links_reciprocal_url varchar(255) default NULL,
      		links_image_url varchar(255) default NULL,
      		links_contact_name varchar(64) default NULL,
      		links_contact_email varchar(96) default NULL,
      		links_date_added datetime NOT NULL default '0000-00-00 00:00:00',
      		links_last_modified datetime default NULL,
      		links_status tinyint(1) NOT NULL default '1',
      		links_clicked int(11) NOT NULL default '0',
      		PRIMARY KEY  (links_id),
      		KEY idx_links_date_added (links_date_added)
      		);";
      		
      		@$insert_result = $db->Execute($insert_query);
      		 
      		 $db->Execute("INSERT INTO ".$db_prefix.$table_name." VALUES (1, 'http://clydedesigns.com', 'http://clydedesigns.com', 'links_image/testsite.jpg', 'Clyde Jones', 'clydejones@hotmail.com', now(), NULL, 2, 0)");
      		 
		echo 'Table ' .$db_prefix.$table_name. ' installed!<br />'; 
} else {
     echo 'table '. $table_name .' is already installed.<br>';
   }	
		
/******************** links_description ***************************/

 // Check to see if the requested Zen Cart table exists
    $sql = "SHOW TABLES like '".$db_prefix.$table_name2."'";
    $tables = $db->Execute($sql);

    if ($tables->RecordCount() < 1) {
      		$insert_query = "CREATE TABLE `".$db_prefix.$table_name2."` (
      		links_id int(11) NOT NULL auto_increment,
      		language_id int(11) NOT NULL default '1',
      		links_title varchar(64) NOT NULL default '',
      		links_description text,
      		PRIMARY KEY  (links_id,language_id),
      		KEY links_title (links_title)
      		);";
      		
      		@$insert_result = $db->Execute($insert_query);
      	        
      	        $db->Execute("INSERT INTO ".$db_prefix.$table_name2." VALUES (1, 1, 'Clyde Designs', 'Templates &amp; Add-Ons for Zen Cart&trade;')");
      	         
		echo 'Table ' .$db_prefix.$table_name2. ' installed!<br />'; 
} else {
    echo 'table '. $table_name2 .' is already installed.<br>';
   }	
   
/******************* links_status **************************/
	

 // Check to see if the requested Zen Cart table exists
    $sql = "SHOW TABLES like '".$db_prefix.$table_name3."'";
    $tables = $db->Execute($sql);

    if ($tables->RecordCount() < 1) {
      		$insert_query = "CREATE TABLE `".$db_prefix.$table_name3."` (
      		links_status_id int(11) NOT NULL default '0',
      		language_id int(11) NOT NULL default '1',
      		links_status_name varchar(32) NOT NULL default '',
      		PRIMARY KEY  (links_status_id,language_id),
      		KEY idx_links_status_name (links_status_name)
      		);";

      		@$insert_result = $db->Execute($insert_query);
      		
      		$db->Execute("INSERT INTO ".$db_prefix.$table_name3." VALUES (1, 1, 'Pending'),(2, 1, 'Approved'),(3, 1, 'Blocked')");   //links_status
      		
		echo 'Table ' .$db_prefix.$table_name3. ' installed!<br />'; 
} else {
    echo 'table '. $table_name3 .' is already installed.<br>';
   }	
   
/*************** links_to_link_categories *******************************/
	
 // Check to see if the requested Zen Cart table exists
    $sql = "SHOW TABLES like '".$db_prefix.$table_name4."'";
    $tables = $db->Execute($sql);
    
    if ($tables->RecordCount() < 1) {
      		$insert_query = "CREATE TABLE `".$db_prefix.$table_name4."` (
      		links_id int(11) NOT NULL auto_increment,
      		link_categories_id int(11) NOT NULL default '0',
      		PRIMARY KEY  (links_id,link_categories_id)
      		);";
      		
      		@$insert_result = $db->Execute($insert_query);
      		
      		$db->Execute("INSERT INTO ".$db_prefix.$table_name4." VALUES (1, 1)"); 
      		
		echo 'Table ' .$db_prefix.$table_name4. ' installed!<br />'; 
} else {
    echo 'table '. $table_name4 .' is already installed.<br>';
   }	
   
/**************** link_categories ****************************/

 // Check to see if the requested Zen Cart table exists
    $sql = "SHOW TABLES like '".$db_prefix.$table_name5."'";
    $tables = $db->Execute($sql);

    if ($tables->RecordCount() < 1) {
      		$insert_query = "CREATE TABLE `".$db_prefix.$table_name5."` (
      		link_categories_id int(11) NOT NULL auto_increment,
      		link_categories_image varchar(64) default NULL,
      		link_categories_sort_order int(3) default NULL,
      		link_categories_date_added datetime default NULL,
      		link_categories_last_modified datetime default NULL,
      		link_categories_status tinyint(1) NOT NULL default '0',
      		 PRIMARY KEY  (link_categories_id),
      		 KEY idx_link_categories_date_added (link_categories_date_added)
      		);";
      		
      		@$insert_result = $db->Execute($insert_query);
      		
      		$db->Execute("INSERT INTO ".$db_prefix.$table_name5." VALUES (1, 'link_category/zencart.png', 1, now($default), NULL, 1)");
      		
		echo 'Table ' .$db_prefix.$table_name5. ' installed!<br />'; 
} else {
    echo 'table '. $table_name5 .' is already installed.<br>';
   }	
   
/**************** link_categories_description ****************************/

 // Check to see if the requested Zen Cart table exists
    $sql = "SHOW TABLES like '".$db_prefix.$table_name6."'";
    $tables = $db->Execute($sql);

 
      if ($check_result->RecordCount() < 1) {
      		$insert_query = "CREATE TABLE `".$db_prefix.$table_name6."` (
      		link_categories_id int(11) NOT NULL default '1',
      		language_id int(11) NOT NULL default '1',
      		link_categories_name varchar(40) NOT NULL default '',
      		link_categories_description text,
      		PRIMARY KEY  (link_categories_id,language_id),
      		 KEY idx_link_categories_name (link_categories_name)
      		);";
      		
      		@$insert_result = $db->Execute($insert_query);
      		
      		$db->Execute("INSERT INTO ".$db_prefix.$table_name6." VALUES (1, 1, 'Zen-Cart Development', '')");
      		
		echo 'Table ' .$db_prefix.$table_name6. ' installed!<br />'; 
} else {
    echo 'table '. $table_name6 .' is already installed.<br>';
   }	
   

/**************** update status if needed *****************/

	 // $check_status = ;
	  $check_result = $db->Execute("SELECT links_status_name FROM ".$db_prefix.$table_name3." WHERE links_status_name = 'Blocked'");
      if ($check_result->fields['links_status_name'] == '')  { //fixed 6/29/2014 change from 0 to 1
      
           $db->Execute("INSERT INTO ".$db_prefix.$table_name3." VALUES (3, 1, 'Blocked')");   //links_status
           
	   echo 'Table ' . $table_name3 .' updated with Blocked!<br />';
	}
	
           
/************** done give the button to get out of here ************/	  
	   
	   
        echo '<br /><br />This completes the installer. <br />You can or should delete this file. <br />If all the files been installed correctly, <br />clicking the button should take you to the Link Manager page.  <br />Have a safe computing day!' . 
'<br /><a href="' . zen_href_link(FILENAME_LINKS) .'">' . zen_image_button('button_go.gif', 'Exit this installer') . '</a>'; 
        exit;
	break;
	case 'remove':
// Get the id of the configuration group
    $categoryid = array();
	$id_result = $db->Execute("SELECT configuration_group_id FROM ".$db_prefix."configuration_group WHERE configuration_group_title = 'Links Manager'");
	if (!$id_result->EOF) {
			$categoryid = $id_result->fields;
			echo 'Links Manager Configuration_Group ID = ' . $categoryid['configuration_group_id']. '<br>';
			$lm_config_id = $categoryid['configuration_group_id'];
			// kill config
			$db->Execute("DELETE FROM configuration WHERE configuration_group_id = '" . $lm_config_id ."'");
                        $db->Execute("DELETE FROM configuration_group WHERE configuration_group_id = '" . $lm_config_id ."'");
                        echo 'deleted Link Manager Configuration files!<br />';
                        // kill admin pages for ZC1.5.x only
                        if (function_exists('zen_deregister_admin_pages')) {  
                        zen_deregister_admin_pages('Links');
                        zen_deregister_admin_pages('LinksCategories');
                        zen_deregister_admin_pages('LinksContacts');
                        zen_deregister_admin_pages('LinkDisplay');
                        echo 'deleted Link Manager Admin Pages!<br />';
                        }
                        
    } else {
    	    echo ('Failed Finding Links Manager Configuration_Group ID<br />');
    }	



/********* kill tables *********************/

    $sql = "SHOW TABLES like '".$db_prefix.$table_name."'"; //$sql = "SHOW TABLES like \'links\'";
   // DROP TABLE `links`, `links_description`, `links_to_link_categories`, `link_categories`, `link_categories_description`;
    $tables = $db->Execute($sql);
    if ($tables->RecordCount() > 0) {
      		$kill_query = "DROP TABLE ".$db_prefix.$table_name;
      		
      		$kill_result = $db->Execute($kill_query);
		echo 'Table ' .$db_prefix.$table_name. ' Deleted!<br />'; 
      } else {
               echo 'table '. $table_name .' is already GONE!<br />';
   }	
   
    $sql = "SHOW TABLES like '".$db_prefix.$table_name2."'";
    $tables = $db->Execute($sql);
    if ($tables->RecordCount() > 0) {
      		$kill_query = "DROP TABLE ".$db_prefix.$table_name2;
      		
      		$kill_result = $db->Execute($kill_query);
		echo 'Table ' .$db_prefix.$table_name2. ' Deleted!<br />'; 
      } else {
               echo 'table '. $table_name2 .' is already GONE!<br />';
   }
   
    $sql = "SHOW TABLES like '".$db_prefix.$table_name3."'";
    $tables = $db->Execute($sql);
    if ($tables->RecordCount() > 0) {
      		$kill_query = "DROP TABLE ".$db_prefix.$table_name3;
      		
      		$kill_result = $db->Execute($kill_query);
		echo 'Table ' .$db_prefix.$table_name3. ' Deleted!<br />'; 
      } else {
               echo 'table '. $table_name3 .' is already GONE!<br />';
   }
   
    $sql = "SHOW TABLES like '".$db_prefix.$table_name4."'";
    $tables = $db->Execute($sql);
    if ($tables->RecordCount() > 0) {
      		$kill_query = "DROP TABLE ".$db_prefix.$table_name4;
      		
      		$kill_result = $db->Execute($kill_query);
		echo 'Table ' .$db_prefix.$table_name4. ' Deleted!<br />'; 
      } else {
               echo 'table '. $table_name4 .' is already GONE!<br />';
   }
   
    $sql = "SHOW TABLES like '".$db_prefix.$table_name5."'";
    $tables = $db->Execute($sql);
    if ($tables->RecordCount() > 0) {
      		$kill_query = "DROP TABLE ".$db_prefix.$table_name5;
      		
      		$kill_result = $db->Execute($kill_query);
		echo 'Table ' .$db_prefix.$table_name5. ' Deleted!<br />'; 
      } else {
               echo 'table '. $table_name5 .' is already GONE!<br />';
   }
   
    $sql = "SHOW TABLES like '".$db_prefix.$table_name6."'";
    $tables = $db->Execute($sql);
    if ($tables->RecordCount() > 0) {
      		$kill_query = "DROP TABLE ".$db_prefix.$table_name6;
      		
      		$kill_result = $db->Execute($kill_query);
		echo 'Table ' .$db_prefix.$table_name6. ' Deleted!<br />'; 
      } else {
               echo 'table '. $table_name6 .' is already GONE!<br />';
   }
   
   echo '<br /><br />';

/************** done give the button to get out of here ************/	 
	echo 'Deleted Link Manager' . '<a href="' . zen_href_link(FILENAME_DEFAULT) .'">' . zen_image_button('button_go.gif', 'Exit this installer') . '</a>';
	exit;
	break;
  }
}

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script type="text/javascript" src="includes/menu.js"></script>
<script type="text/javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  if (typeof _editor_url == "string") HTMLArea.replaceAll();
  }
  // -->
</script>
</head>
<body onload="init()">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); 
$form_action = 'install'; ?>
<!-- header_eof //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="25%" valign="top"></td>
   <td width="50%" valign="top">
  <h1>Install Link Manager </h1>
<!-- body //-->
<div>This is an installer by DaveWest for the Link Manager Contribution designed by the late Clyde Jones in 2010.  <br /> To keep this contribution alive and into the future, we modified and fixed some things, tested with PHP 5.5.x.</div>

<ul>
<b>Fixed:</b>
<li>Admin upload, add, or change user link image</li>
<li>Link click counter now works or not</li>
<b>NEW:</b>
<li>Added URL Blocking</li>
</ul>     
<h1>NEW INSTALLATION AND UPGRADE</h1>
<div>Run the installer by clicking on the INSTALL button. No damage will be done to existing installs except one unused configuration will be removed and one new configuration will be added. Table checks done and untuched if exist.  Admin pages is checked or added for ZC1.5.x installs. If you never upgraded ZC and still using an older version! I know you're out there... Make sure you moved the admin boxes over and run the installer as anyone would. I have not tested this with ZC 1.3.x..</div>
<h1>REMOVE LINK MANAGER</h1>
<div>Run the installer by clicking on the REMOVE button. All tables, admin pages, configuration group and settings will be removed. You will need to remove all files that came with Link Manager.</div>
<div>No ZC files was modified by this Link Manager Contribution.</div>

<p>Before you push the buttons<br /><b>MAKE SURE TO BACKUP YOUR DATABASE AND SITE!</b><br />If a WARNING like this shows<br /> WARNING: An Error occurred, please refresh the page and try again. <br /><b>DO NOT REFRESH THE PAGE!</b><br />You have an issue with your database not supported. Remove your current install or fix your database before you continue with the install!</p>
<a href="<?php echo zen_href_link('install_links_manager.php', 'action=install') ?>"><?php echo zen_image_submit('button_install.gif', 'Install Link Manager') ?></a>
<a href="<?php echo zen_href_link('install_links_manager.php', 'action=remove') ?>"><?php echo zen_image_button('button_remove.gif', 'Remove Link Manager') ?></a>
<a href="<?php echo zen_href_link(FILENAME_DEFAULT) ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL) ?></a>
</td>
<td width="25%" valign="top"></td>
<!-- body_eof //-->
    </tr>
</table>
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>


<?php

/****************************************************************/


// create config menu item function

    function lm_create_menu_item($c_title,$c_key,$default,$discrip,$config_id,$sort,$values)
    {
            global $db;
            $sql = "SELECT configuration_value FROM ".TABLE_CONFIGURATION." WHERE configuration_key = '".$c_key."' LIMIT 1";
            $results = $db->Execute($sql);
            
            $config_value = ($results->fields['configuration_value'] !='')?$results->fields['configuration_value']: $default;

            $sql ="DELETE FROM ".TABLE_CONFIGURATION." WHERE configuration_key = '".$c_key."'";
            $db->Execute($sql);


            if($values)
            {
                foreach($values as $v)
                {
                $v_string .= "''".$v."'',";
                }
                $v_arr = substr($v_string,0,-1);
                $sql = "INSERT INTO ".TABLE_CONFIGURATION." (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES (NULL, '".$c_title."', '".$c_key."', '".$default."', '".$discrip."', ".$config_id.", ".$sort.", now(), now(), NULL, 'zen_cfg_select_option(array(".$v_arr."),')";
            }else{
                // text input type
                $sql = "INSERT INTO ".TABLE_CONFIGURATION." (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES (NULL, '".$c_title."', '".$c_key."', '".$default."', '".$discrip."', ".$config_id.", ".$sort.", now(), now(), NULL, NULL)";
            }
    
            //echo $sql . '<br />'; 
            $db->Execute($sql);  



            return true;

    }

// overwrite config menu item function

    function lm_overwrite_menu_item($c_title,$c_key,$default,$discrip,$config_id,$sort,$values)
    {
            global $db;
            $sql ="DELETE FROM ".TABLE_CONFIGURATION." WHERE configuration_key = '".$c_key."'";
            $db->Execute($sql);

            if($values)
            {
                foreach($values as $v)
                {
                $v_string .= "''".$v."'',";
                }
                $v_arr = substr($v_string,0,-1);
                $sql = "INSERT INTO ".TABLE_CONFIGURATION." (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES (NULL, '".$c_title."', '".$c_key."', '".$default."', '".$discrip."', ".$config_id.", ".$sort.", now(), now(), NULL, 'zen_cfg_select_option(array(".$v_arr."),')";
            }else{
                // text input type
                $sql = "INSERT INTO ".TABLE_CONFIGURATION." (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES (NULL, '".$c_title."', '".$c_key."', '".$default."', '".$discrip."', ".$config_id.", ".$sort.", now(), now(), NULL, NULL)";
            }
    
            $db->Execute($sql);  



            return true;

    }


?>
  
